#include "message.h"

using namespace boost;



void message::send(boost::asio::ip::tcp::socket& socket)
{
    system::error_code ec;

    asio::write(socket, asio::buffer(get_message_length()), ec);
    asio::write(socket, asio::buffer(":", sizeof(char)), ec);
    asio::write(socket, asio::buffer(get_message()), ec);

    if (ec)
        throw std::runtime_error("Networking error: " + ec.message());
}


message::~message() {}